import c4d
from c4d import gui
#Welcome to the world of Python

ID_OCTANE_DIFFUSE_MATERIAL = 1029501
ID_OCTANE_IMAGE_TEXTURE = 1029508

def main():
    doc = c4d.documents.GetActiveDocument()
    mat = c4d.BaseMaterial(ID_OCTANE_DIFFUSE_MATERIAL)

    shd = c4d.BaseShader(ID_OCTANE_IMAGE_TEXTURE)
    op.InsertShader(shd)
    mat[c4d.OCT_MATERIAL_DIFFUSE_LINK] = shd
    shd[c4d.IMAGETEXTURE_FILE] = "texture.jpg"
    shd[c4d.IMAGETEXTURE_MODE] = 0
    shd[c4d.IMAGETEXTURE_GAMMA] = 2.2
    shd[c4d.IMAGETEX_BORDER_MODE] = 0
    doc.InsertMaterial(mat)
        
if __name__=='__main__':
    main()
